GET /v2/videos/search
Operation ID: searchVideos
Auth: unknown
Description
This endpoint searches for videos. If you specify more than one search parameter, the API uses an AND condition. Array parameters can be specified multiple times; in this case, the API uses an AND or an OR condition with those values, depending on the parameter. You can also filter search terms out in the `query` parameter by prefixing the term with NOT.
Parameters (29)
(string, query, optional)
Show videos added on the specified date
(string, query, optional)
Show videos added before the specified date
(string, query, optional)
Show videos added on or after the specified date
(string, query, optional)
Show videos with the specified aspect ratio
Constraints: {'enum': [43, 169, 'nonstandard']}
(string, query, optional)
Show videos with the specified Shutterstock-defined category; specify a category name or ID
(array, query, optional)
Show videos with the specified artist names or IDs
(array, query, optional)
Show videos from contributors in one or more specified countries
(integer, query, optional)
(Deprecated; use duration_from and duration_to instead) Show videos with the specified duration in seconds
(integer, query, optional)
Show videos with the specified duration or longer in seconds
(integer, query, optional)
Show videos with the specified duration or shorter in seconds
(number, query, optional)
(Deprecated; use fps_from and fps_to instead) Show videos with the specified frames per second
(number, query, optional)
Show videos with the specified frames per second or more
(number, query, optional)
Show videos with the specified frames per second or fewer
(boolean, query, optional, default: True)
Hide results with potentially unsafe keywords
(?, query, optional)
Set query and result language (uses Accept-Language header if not set)
(array, query, optional)
Show only videos with the specified license or licenses
(array, query, optional)
Show videos with each of the specified models
(integer, query, optional, default: 1)
Page number
Constraints: {'minimum': 1}
(string, query, optional)
Show videos that feature people of the specified age range
Constraints: {'enum': ['infants', 'children', 'teenagers', '20s', '30s', '40s', '50s', '60s', 'older']}
(array, query, optional)
Show videos with people of the specified ethnicities
(string, query, optional)
Show videos with people with the specified gender
Constraints: {'enum': ['male', 'female', 'both']}
(boolean, query, optional)
Show only videos of people with a signed model release
(integer, query, optional)
Show videos with the specified number of people
Constraints: {'minimum': 0, 'maximum': 4}
(integer, query, optional, default: 20)
Number of results per page
Constraints: {'minimum': 0, 'maximum': 500}
(string, query, optional)
One or more search terms separated by spaces; you can use NOT to filter out videos that match a term
(string, query, optional)
Show videos with the specified resolution
Constraints: {'enum': ['4k', 'standard_definition', 'high_definition']}
(boolean, query, optional, default: True)
Enable or disable safe search
(string, query, optional, default: popular)
Sort by one of these categories
Constraints: {'enum': ['newest', 'popular', 'relevance', 'random']}
(string, query, optional, default: minimal)
Amount of detail to render in the response
Constraints: {'enum': ['minimal', 'full']}
No probe data for this endpoint yet.